# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.87"
name = "foundation_compact"
version = "0.1.0"
authors = ["EweStudios Consulting Limited"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cross-platform substrate: time polyfill + vendored entropy + RNG + scru128 IDs"
readme = false
keywords = [
    "wasm",
    "time",
    "entropy",
    "rng",
    "scru128",
]
license = "Apache-2.0"
repository = "https://github.com/ewe-studios/ewe_platform"
resolver = "3"

[features]
default = ["std"]
global_gen = [
    "std",
    "dep:forkguard",
]
msrv = []
native = [
    "std",
    "global_gen",
]
serde = ["dep:serde"]
std = ["fstr/std"]

[lib]
name = "foundation_compact"
path = "src/lib.rs"

[dependencies.cfg-if]
version = "1"

[dependencies.forkguard]
version = "0.1"
optional = true

[dependencies.fstr]
version = "0.2.20"
default-features = false

[dependencies.rand_chacha]
version = "0.10"
default-features = false

[dependencies.rand_core]
version = "0.10"
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true
default-features = false

[target.'cfg(all(target_family = "wasm", any(target_os = "unknown", target_os = "none")))'.dependencies.js-sys]
version = "0.3.20"

[target.'cfg(all(target_family = "wasm", any(target_os = "unknown", target_os = "none")))'.dependencies.wasm-bindgen]
version = "0.2.70"

[target.'cfg(all(target_family = "wasm", any(target_os = "unknown", target_os = "none")))'.dev-dependencies.wasm-bindgen-test]
version = "0.3"

[target.'cfg(any(target_os = "macos", target_os = "emscripten", target_os = "openbsd", target_os = "vita", target_os = "android", target_os = "linux", target_os = "freebsd", target_os = "dragonfly", target_os = "hurd", target_os = "illumos", target_os = "haiku", target_os = "redox", target_os = "nto", target_os = "aix", target_os = "netbsd", target_os = "cygwin", target_os = "horizon", target_os = "solaris"))'.dependencies.libc]
version = "0.2"
default-features = false

[lints.clippy]
pedantic = "warn"

[lints.rust]
missing_debug_implementations = "allow"
missing_docs = "allow"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    'cfg(getrandom_backend, values("custom", "linux_getrandom", "linux_raw", "rdrand", "rndr", "efi_rng", "windows_legacy", "unsupported", "extern_impl"))',
    "cfg(getrandom_msan)",
    "cfg(getrandom_test_linux_fallback)",
    "cfg(getrandom_test_linux_without_fallback)",
]
